#The dimension you can always travel to the Twilight Forest from, as well as the dimension you will return to. Defaults to the overworld. (domain:regname).
originDimension = "minecraft:overworld"
#Allow portals to the Twilight Forest to be made outside of the 'origin' dimension. May be considered an exploit.
allowPortalsInOtherDimensions = false
#Allow portals only for admins (Operators). This severely reduces the range in which the mod usually scans for valid portal conditions, and it scans near ops only.
adminOnlyPortals = false
#Disable Twilight Forest portal creation entirely. Provided for server operators looking to restrict action to the dimension.
disablePortalCreation = false
#Determines if new portals should be pre-checked for safety. If enabled, portals will fail to form rather than redirect to a safe alternate destination.
#Note that enabling this also reduces the rate at which portal formation checks are performed.
checkPortalDestination = false
#Set this true if you want the lightning that zaps the portal to not set things on fire. For those who don't like fun.
portalLightning = false
#If false, the return portal will require the activation item.
shouldReturnPortalBeUsable = true
#Use a valid advancement resource location as a string. For example, using the string "minecraft:story/mine_diamond" will lock the portal behind the "Diamonds!" advancement. Invalid/Empty Advancement resource IDs will leave the portal entirely unlocked.
portalUnlockedByAdvancement = ""
#The max amount of water spaces the mod will check for when creating a portal. Very high numbers may cause issues.
#Range: > 4
maxPortalSize = 64
#If true, Keepsake Caskets that are spawned when a player dies will not be accessible by other players. Use this if you dont want people taking from other people's death caskets. NOTE: server operators will still be able to open locked caskets.
uuid_locking = false
#If true, disables the ability to make Skull Candles by right clicking a vanilla skull with a candle. Turn this on if you're having mod conflict issues for some reason.
skull_candles = false

#Settings that are not reversible without consequences.
["Dimension Settings"]
	#If true, the return portal will spawn for new players that were sent to the TF if `spawn_in_tf` is true.
	portalForNewPlayer = false
	#If true, players spawning for the first time will spawn in the Twilight Forest.
	newPlayersSpawnInTF = false

#Settings for all things related to the uncrafting table.
["Uncrafting Table"]
	#Setting this to true will make it so you dont have to pay XP to repair and recraft stuff in the uncrafting table. This wont affect uncrafting cost.
	#If you're confused about what repairing and recrafting are, you can read about them here: http://benimatic.com/tfwiki/index.php?title=Uncrafting_Table
	#If you want to disable the xp cost for uncrafting, see the above option.
	disableRepairingXpCost = false
	#If true, this will invert the above uncrafting recipe list from a blacklist to a whitelist.
	flipRecipeList = false
	#Setting this to true will make it so you dont have to pay XP to uncraft stuff. This will only affect uncrafting.
	#If you want to disable the xp cost for repairing and recrafting, see the below option.
	disableUncraftingXpCost = false
	#If true, this will invert the above option from a blacklist to a whitelist.
	flipIdList = false
	#Here, you can disable all items from certain mods from being uncrafted.
	#Input a valid mod id to disable all uncrafting recipes from that mod.
	#Example: "twilightforest" will disable all uncrafting recipes from this mod.
	blacklistedUncraftingModIds = ["mcda", "mcdw", "travelersbackpack", "betterend", "betternether", "mythicmetals"]
	#If you don't want to disable uncrafting altogether, and would rather disable certain recipes, this is for you.
	#To add a recipe, add the mod id followed by the name of the recipe. You can check this in things like JEI.
	#Example: "twilightforest:firefly_particle_spawner" will disable uncrafting the particle spawner into a firefly jar, firefly, and poppy.
	#If an item has multiple crafting recipes and you wish to disable them all, add the item to the "twilightforest:banned_uncraftables" item tag.
	#If you have a problematic ingredient, like infested towerwood for example, add the item to the "twilightforest:banned_uncrafting_ingredients" item tag.
	disableUncraftingRecipes = ["twilightforest:giant_log_to_oak_planks", "minecraft:netherite_ingot", "minecraft:lodestone", "geodes:diamond_geode", "naturescompass:natures_compass", "archon:fire_essence", "archon:water_essence", "archon:earth_essence", "archon:sky_essence", "archon:end_essence", "charm:weathering_iron/chipped_anvil_from_waxed_exposed_iron", "charm:weathering_iron/chipped_anvil_from_exposed_iron", "charm:weathering_iron/damaged_anvil_from_waxed_weathered_iron", "charm:weathering_iron/damaged_anvil_from_weathered_iron", "wizards:wand_netherite_arcane", "wizards:wand_netherite_fire", "wizards:wand_netherite_frost", "wizards:staff_netherite_arcane", "wizards:staff_netherite_fire", "wizards:staff_netherite_frost", "wizards:staff_crystal_arcane", "wizards:staff_ruby_fire", "wizards:staff_smaragdant_frost"]
	#Disable the uncrafting function of the uncrafting table. Recommended as a last resort if there's too many things to change about its behavior.
	disableUncrafting = false

#Settings for all things related to the magic trees.
["Magic Trees"]
	#If true, prevents the Minewood Core from functioning.
	disableMiningCore = false
	#Defines the radius at which the Timewood Core works. Can be a number anywhere between 1 and 128.
	#Range: 1 ~ 128
	timeCoreRange = 16
	#Defines the radius at which the Transformation Core works. Can be a number anywhere between 1 and 128.
	#Range: 1 ~ 128
	transformationCoreRange = 16
	#If true, prevents the Timewood Core from functioning.
	disableTimeCore = false
	#Defines the radius at which the Minewood Core works. Can be a number anywhere between 1 and 128.
	#Range: 1 ~ 128
	miningCoreRange = 16
	#If true, prevents the Transformation Core from functioning.
	disableTransformationCore = false
	#Defines the radius at which the Sortingwood Core works. Can be a number anywhere between 1 and 128.
	#Range: 1 ~ 128
	sortingCoreRange = 16
	#If true, prevents the Sortingwood Core from functioning.
	disableSortingCore = false

#We recommend downloading the Shield Parry mod for parrying, but these controls remain for without.
["Shield Parrying"]
	#The amount of ticks after raising a shield that makes it OK to parry a projectile.
	#Range: > 0
	shieldParryTicksArrow = 40
	#Set to true to parry non-Twilight projectiles.
	parryNonTwilightAttacks = false

